Judgments

India Judgment Courts

Call GET /india/judgments/courts on the Corpus API.

GET /india/judgments/courts

Call GET /india/judgments/courts on the Corpus API.

Category: India · Judgments

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read, litigation:read.

Request

NameInRequiredTypeConstraintsDescription
court_levelquerynostring | null
as_ofquerynostring | null

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/judgments/courts' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonCategoriesResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "categories": [
    {
      "count": 1,
      "category": "string",
      "court": "string",
      "court_level": "string"
    }
  ],
  "meta": {
    "jurisdiction": "IN",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}